Summary
Get historical graded compliance reports.
Description
Get historical graded compliance reports for a task instance on a node.
Route
POST /configuration_manager/json_compliance_reports/grade/history
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| treeId |
string |
yes |
- |
| version |
string |
yes |
- |
| nodePath |
string |
yes |
- |
| taskId |
string |
yes |
- |
| options |
object |
yes |
- |
Copied to Clipboard
{
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "draft-v4",
"nodePath": "base",
"taskId": "5f80bd24f8479975bb46054d",
"options": {
"weights": {
"error": 51543881.49926698,
"warning": -83604410.47653362,
"info": -72847700.88579227
},
"limit": 32542002
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"treeId": {
"title": "treeId",
"$ref": "common#/definitions/mongoObjectId"
},
"version": {
"title": "version",
"$ref": "goldenConfigData#/definitions/goldenConfigTreeVersionName"
},
"nodePath": {
"title": "nodePath",
"$ref": "goldenConfigData#/definitions/goldenConfigNodePath"
},
"taskId": {
"title": "taskId",
"type": "string",
"examples": [
"5f80bd24f8479975bb46054d"
]
},
"options": {
"title": "options",
"$ref": "goldenConfigData#/definitions/gradeDeviceComplianceHistoryOptions"
}
},
"required": [
"treeId",
"version",
"nodePath",
"taskId",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| graded_compliance_history |
array |
- |
Copied to Clipboard
[
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 58947115,
"warning": 62969339,
"info": 62950261,
"pass": 49336749,
"score": 24.686442331710424,
"grade": "fail"
},
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 18722873,
"warning": 58622165,
"info": 95856194,
"pass": 38876879,
"score": 16.19106231095808,
"grade": "review"
},
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 88026816,
"warning": 86526592,
"info": 21748078,
"pass": 40387005,
"score": 98.0461915124466,
"grade": "pass"
}
]